
  // 画像コレクション
  smart.Assets = smart.extend(smart.Binder,{
    init:function() {
      smart.Binder.apply(this);

      this.name = "Assets";
      this._total = 0;
      this._count = 0;
      this._data  = {};
      this._complete = null;
    },
    load :function(files,callback) {
      if(typeof callback === "function") {
        this._complete = callback;
      }

      var load_callback = function(key_, img, file, success) {
        console.log(file);
        console.log(success);

        this._data[key_] = img; // this[key] = Image
        this._count++;

        this.trigger("progress");
        if(this._count == this._total) {
          this.trigger("complete");
          if(typeof this._complete === "function") {
            var fn = this._complete;
            this._complete = null;
            fn(this._data);
          }
        }
      };

      // -- 121012
      for(var key in files) {
        if (files.hasOwnProperty(key)) {
          this._total++;
          this._load(key,files[key],load_callback);
        }
      }
    },
    total :{
      get:function(){return this._total}
    },
    count :{
      get:function(){return this._count}
    },
    data  :{
      get:function(){return this._data}
    },
    _load :function(key,file,callback) {
      var img = new Image();
      var instance = this;
      img.onload = function() {
        callback.call(instance,key,img,file,true);
      };
      // -- 111202
      img.onerror = function() {
        callback.call(instance,key,img,file,false);
      };
      img.src = file;
    }
  });


