
  // コンテナの境界線要素 ---------------------------------------------
  smart.Border = smart.extend({
    init:function(element) {
      this.name     = "Border";
      this._element  = element;
      this.color = this._color = ["#000"];
      this.style = this._style = ["solid"];
      this._width  = [0];
      this._radius = [0];
    },
    color: {
      get: function( ) {return this._color.length == 1 ? this._color[0] : this._color},
      set: function(s) {
        this._color = valueToArray(s);
        this._element.style.borderColor = arrayToCSS(this._color);
      }
    },
    width: {
      get: function( ) {return this._width.length == 1 ? this._width[0] : this._width},
      set: function(n) {
        this._width = valueToArray(n);
        this._element.style.borderWidth = arrayToCSS(this._width);
      }
    },
    style: {
      get: function( ) {return this._style.length == 1 ? this._style[0] : this._style},
      set: function(s) {
        this._style = valueToArray(s);
        this._element.style.borderStyle = arrayToCSS(this._style);
      }
    },
    radius: {
      get: function( ) {return this._radius.length == 1 ? this._radius[0] : this._radius},
      set: function(s) {
        this._radius = valueToArray(s);
        this._element.style[PREFIX + "BorderRadius"] = arrayToCSS(this._radius);
      }
    }
  });

