  // コンテナ <div>をラップ
  smart.Box = smart.extend(smart.View,{
    init:function(w_ ,h_) {
      smart.View.apply(this);
      this.name = "Box";


      this._mask     = false;
      this._children = [];
      this._element  = document.createElement("div");
      this._element.style.position = "absolute";
      this.id = SMART + "-box" + smart.guid++;
      if(w_) { this.bg.width  = w_; }
      if(h_) { this.bg.height = h_; }

      this._transOrigin(); // -- 120925
    },
    mask:{
      get: function( ) {return this._mask},
      set: function(b) {this._element.style.overflow = (this._mask = b) ? "hidden" : "visible"}
    },
    width: {
      get: function( ) {return this.bg.width},
      set: function(n) {this.bg.width = n}
    },
    height: {
      get: function( ) {return this.bg.height},
      set: function(n) {this.bg.height = n}
    },
    // -- 120815 
    children: {
      get:function() {
        return this._children;
      }
    },
    addChild :function(instance) {
      instance._parent = this;
      this._children.push(instance);
      this._element.appendChild(instance.element);
      return instance;
    },
    removeChild :function(instance) {
      for(var i = this._children.length;i--;) {
        if(instance == this._children[i]) {
          this._children.slice(i,1);
          this._element.removeChild(instance.element);
          instance._parent = null;
          return instance;
        }
      }
    }
//    swapChild:function(instance,index) // -- 120902
//    {
//    }
  });


