  var canvasSupport = (function() {
    var cvs = document.createElement("canvas");
    return (cvs && typeof cvs.getContext === "function");
  })();
  if(!canvasSupport) {
    smart.ready = function(){};
    return;
  }

  if(typeof Object.defineProperty !== "function") {
    Object.defineProperty = function(obj, prop, desc) {
      if ("value" in desc) { obj[prop] =  desc.value; }
      if ("get"   in desc) { obj.__defineGetter__(prop, desc.get); }
      if ("set"   in desc) { obj.__defineSetter__(prop, desc.set); }
      return obj;
    };
  }
  if(typeof Object.defineProperties !== "function") {
    Object.defineProperties = function(obj, descs) {
      for (var prop in descs) {
        if (descs.hasOwnProperty(prop)) {
          Object.defineProperty(obj, prop, descs[prop]);
        }
      }
      return obj;
    };
  }
  if(typeof Object.create !== "function") {
    Object.create = function(prototype, descs) {
      function F() {}
      F.prototype = prototype;
      var obj = new F();
      if (descs != null) { Object.defineProperties(obj, descs); }
      return obj;
    };
  }
  if(typeof Object.getPrototypeOf !== "function") {
    Object.getPrototypeOf = function(obj){
      return obj.__proto__;
    };
  }

  smart.touchEnabled = (function() {
    var div = document.createElement("div");
    div.setAttribute("ontouchstart","return");
    return typeof div.ontouchstart === "function";
  })();

  smart.online = (location.href.substr(0,4) === "http");

  smart.oldAndroid = (/Android\s2\.[0|1]/.test(navigator.userAgent)); // -- 121013

