  // テキストフィールド <div>をラップ ------------------------------------------ 
  //
  // TODO: padding の制御（配列で）
  //
  smart.Text = smart.extend(smart.View,{
    init:function(text_) {
      smart.View.apply(this);
      this.name = "Text";

      this._element = document.createElement("span"); //override
      this._element.style.position = "absolute";
      this._text       = text_ || "";
      this._color      = "";
      this._size       = 14;
      this._font       = smart.defaultFont;
      this._bold       = false;
      this._underline  = false;
      this._italic     = false;
      this._align      = "left";
      this._lineHeight = "1em";

      this._element.style.fontFamily = this._font;
      this._element.style.padding    = "3px";
      this._element.style.fontSize   = this._size + "px";
      this._element.style.lineHeight = this._lineHeight;

      this.id = SMART + "-text" + smart.guid++;
      this.text = this._text; // -- 120815


      this._transOrigin(); // -- 120925
    },
    text: {
      get: function( ) {return this._text},
      set: function(s) {
        this._element.innerHTML = (this._text = s);
      }
    },
    width: {
      get: function( ) {return this.bg.width}, // -- 120818
      set: function(n) {this.bg.width = n}
    },
    height: {
      get: function( ) {return this.bg.height},
      set: function(n) {this.bg.height = n}
    },
    color: {
      get: function( ) {return this._color},
      set: function(s) {this._element.style.color = (this._color = s)}
    },
    bold: {
      get: function( ) {return this._bold},
      set: function(b) {this._element.style.fontWeight = (this._bold = b) ? "bold" : "normal"}
    },
    underline:{
      get: function( ) {return this._underline},
      set: function(b) {this._element.style.textDecoration = (this._underline = b) ? "underline" : "none"}
    },
    italic:{
      get: function( ) {return this._italic},
      set: function(b) {this._element.style.fontStyle = (this._italic = b) ? "italic" : "normal"}
    },
    align: {
      get: function( ) {return this._align},
      set: function(s) {this._element.style.textAlign = (this._align = s)}
    },
    size :{
      get: function( ) {return this._size},
      set: function(n) {this._element.style.fontSize = (this._size = n) + "px"}
    },
    lineHeight: {
      get: function( ) {return this._lineHeight},
      set: function(n) {
        this._lineHeight = n;
        this._element.style.lineHeight = (typeof n == "number") ? n + "px" : n; // -- 120829
      }
    }
  });

