
  smart.extend = function(superclass, definition) {
    if(arguments.length == 1) {
      definition = superclass;
      superclass = Object;
    }
    for (var prop in definition) {
      if (definition.hasOwnProperty(prop)) {
        if(typeof(definition[prop]) === "function") {
          definition[prop] = {value:definition[prop],writable:true,enumerable:true};
        }
        else if(!("enumerable" in definition[prop])) {
          definition[prop].enumerable = true;
        }
      }
    }
    var subclass = function (){subclass.prototype.init.apply(this, arguments)};
    subclass.prototype = Object.create(superclass.prototype, definition);
    return subclass;
  };


  // -- 120821
  function valueToArray(s) {
    if(typeof s == "string") {
      s = s.split(" ");
    }
    else if(typeof s == "number") {
      s = [s];
    }
    for(var i=s.length-1;i>-1;i--) {
      if(s[i] === "") {
        s.splace(i,0);
      }
      else if(typeof s[i] == "string" && s[i].indexOf("px") > -1) {
        s[i] = parseInt(s[i],10);
      }
    }
    return s;
  }

  // -- 120821
  function arrayToCSS(a) {
    var ar = [];
    for(var i=0;i<a.length;i++) {
      ar.push( (typeof a[i] == "number") ? a[i] + "px" : a[i]);
    }
    return ar.join(" ");
  }
