  // コンテナの背景要素
  //
  // TODO:グラデーション
  //
  smart.Background = smart.extend({
    init:function(element) {
      this.name      = "Background";
      this._color    = "";
      this._image    = "";
      this._repeat   = "";
      this._position = "";
      this._width    = "auto";
      this._height   = "auto";
      this._element  = element;
    },
    color: {
      get: function( ) {return this._color},
      set: function(s) {this._element.style.backgroundColor = (this._color = s)}
    },
    image: {
      get: function( ) {return this._image},
      set: function(s) {
        this._image = s;
        this._element.style.backgroundImage = s ? "url(" + (s) + ")" : "";
      }
    },
    width: {
      get: function( ) {return (typeof this._width == "number") ? this._width : this._element.offsetWidth}, // -- 120818
      set: function(n) {this._element.style.width = (typeof (this._width = n) == "number") ? (n + "px") : n}
    },
    height: {
      get: function( ) {return (typeof this._height == "number") ? this._height : this._element.offsetHeight}, // -- 120818
      set: function(n) {this._element.style.height = (typeof (this._height = n) == "number") ? (n + "px") : n}
    },
    repeat: {
      get: function( ) {return this._repeat},
      set: function(s) {this._element.style.backgroundRepeat = (this._repeat = s)}
    },
    position: {
      get: function( ) {return this._position},
      set: function(s) {this._element.style.backgroundPosition = (this._position = s)}
    }
  });


