
  // コアオブジェクトをインスタンス化 ----------------------------
  smart.timeline = new smart.Timeline();
  smart.timeline.play();
  smart.tween = new smart.Tween();
  smart.wait = function(sec,fn) {
    var that = this;
    smart.tween.start({i:0},{i:1},"linear",sec,0,function() {
      fn.call(that);
    });
  }

  // Ready管理 ----------------------------------------------------
  var readylist = [];
  var isReady   = 0;
  // -- 120911
  addEventListener("load",function() {
    removeEventListener("load",arguments.callee);
    isReady = 1;
    for(var i = 0, len = readylist.length; i < len; i++) {
      readylist[i].call(this);
    }
  });

  // -- 120906
  var isEmpty = function(obj) {
    for(var k in obj) {
        console.log(k);
        return false;
    }
    return true;
  }
  var doReady = function(filelist,callback) {
    if(typeof filelist === "function") {
      filelist(smart,null);
    }
    else if(typeof callback === "function") {
      // -- 120906
      if(isEmpty(filelist)) {
        callback(smart,null);
      }
      else {
        var assets = new smart.Assets();
        assets.load(filelist,function(d) {
          callback(smart,d);
        });
      }
    }
    else {
      alert(SMART + ".ready" + PARAM_ERROR);
    }
  };
  smart.ready = function(filelist,callback) {
    if(isReady) {
      doReady(filelist,callback);
    }
    else {
      readylist.push(function() {
        doReady(filelist,callback);
      });
    }
  };

})(window);


