
  // ステージ <div>をラップ ------------------------------------------ 
  smart.Stage = smart.extend(smart.Box,{
    init:function(targetElement,w_ ,h_) {
      smart.Box.apply(this);
      this.name = "Stage";
      // -- 120816
      if(typeof targetElement == "string") {
        targetElement = document.getElementById(targetElement);
      }
      this.bg.width  = w_ || parseInt(targetElement.offsetWidth ,10); // ピクセルで取得 -- 120816 -- 120821 -- 121013
      this.bg.height = h_ || parseInt(targetElement.offsetHeight,10);

      this._mouseX = 0;
      this._mouseY = 0;

      targetElement.innerHTML = "";
      targetElement.style.textAlign = "left"; // -- 120821
      targetElement.appendChild(this._element);

      this.id = SMART + "-stage" + smart.guid++;
      this.mask = true;
      var instance = this;
      var touch = smart.touchEnabled;
      this.bind(touch ? "touchmove" : "mousemove",function(e) {
        instance._mouseX = e.mouseX; // -- 120814
        instance._mouseY = e.mouseY;
      });
      this.bind(touch ? "touchstart" : "click",function(e) {
        instance._mouseX = e.mouseX; // -- 120815
        instance._mouseY = e.mouseY;
      });

      // -- 120816 -- 120925 
      addEventListener("resize",function() {
        // TODO:スケールの変更に対応させるか？
        // 現状はスケール調整なし
//        var w = instance.bg.width  = parseInt(targetElement.offsetWidth ,10); // -- 挙動担保できず -- 120925
//        var h = instance.bg.height = parseInt(targetElement.offsetHeight,10);
        var w = parseInt(targetElement.offsetWidth ,10);
        var h = parseInt(targetElement.offsetHeight,10);

        instance.trigger("resize",{width:w,height:h});
      });
    },
    mouseX:{
      get :function( ) {return this._mouseX}
    },
    mouseY:{
      get :function( ) {return this._mouseY}
    },
    isStage:{
      get :function( ) {return true}
    },
    resize:function(fn) {
      this.bind("resize",fn);
    }
  });


