  // タイムテーブル (フレーム毎にパラメータを変更する仕組み) --------- 120908
  smart.Timetable = smart.extend(smart.Timeline,{
    init:function(fps_) {
      smart.Timeline.apply(this,[fps_]);
      this.name = "Timetable";
      this._table    = [];
      this.enterframe(function(e) {
        var table = this._table[e.frame -1];
        if(table) {
          for(var k in table) {
            var target;
            if(typeof table[k] == "function") {
              table[k].call(this);
            }
            // -- 120911
            else if(target = table[k][0]) {
              var values = table[k][1]; // -- 120911
              for(var l in values) {
                target[l] = values[l];
              }
            }
          }
        }
      });
    },
    frames:{
      set:function(arr){
        this._table = arr;
        this.total = arr.length;
        this.frame = 1;
      }
    }
  });



